/*

  This is a part of Layercut.dll source code.
  
  Copyright (C) 2001-2002 Sylvain Rouquette
  rouque_s@epita.fr
  http://www.epita.fr:8000/~rouque_s

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef __EXECUTION_H_
#define __EXECUTION_H_

#include <vector>
#include <string>
#include "../lsapi/common.h"
#include "../lsapi/lswinbase.h"

using namespace std;

class CExec
{
public:
	CExec() { b_left = b_right = b_in = b_out = false; };
	~CExec() {};

	string name;
	string left, right, in, out;
	string left_arg, right_arg, in_arg, out_arg;
	bool b_left, b_right, b_in, b_out;
};

class CExecStorage
{
public:
	CExecStorage();
	~CExecStorage();
	void loadExec();
	void bubble(CExec *exec, int deb, int fin);
	void qsort(int deb, int fin);
	CExec *getExec(string &str);

	vector<CExec *>	list;
};

#endif